Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.event
Class EventMessageEndpointFactory

    java.lang.Object
      com.bea.wlai.event.EventMessageEndpointFactory

All Implemented Interfaces:
  MessageEndpointFactory, Serializable

    public class EventMessageEndpointFactory

extends Object
implements MessageEndpointFactory, Serializable

Event Message Endpoint factory creates new instance of EventMessageEndpoint

See Also:
  Serialized Form

Constructor Summary
`EventMessageEndpointFactory(String appName, String appViewName, int min, int max)`

Method Summary
`protected boolean` | `comparePropertyValues(Object myProperty, Object otherProperty)` Compares two properties for equality.
`MessageEndpoint` | `createEndpoint(XAResource xaResource)`
`void` | `destroy()` For use by the App Server only.
`boolean` | `equals(Object other)`
`String` | `getApplicationName()`
`String` | `getApplicationViewName()`
`int` | `getMaxEndpoints()`
`int` | `getMinEndpoints()`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventMessageEndpointFactory

    public EventMessageEndpointFactory(String appName,
                                       String appViewName,
                                       int min,
                                       int max)
                                throws Exception

Throws:
  `Exception`

Method Detail

### destroy

    public void destroy()

  For use by the App Server only. This destroys all resources held by this factory.

### createEndpoint

    public MessageEndpoint createEndpoint(XAResource xaResource)
                                   throws UnavailableException

  Specified by:
    `createEndpoint` in interface `MessageEndpointFactory`
  Throws:
    `UnavailableException`

### getApplicationName

    public String getApplicationName()

### getApplicationViewName

    public String getApplicationViewName()

### getMaxEndpoints

    public int getMaxEndpoints()

### getMinEndpoints

    public int getMinEndpoints()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### comparePropertyValues

    protected boolean comparePropertyValues(Object myProperty,
                                            Object otherProperty)

  Compares two properties for equality.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD